Rails.application.routes.draw do

  namespace :panel do
    namespace :ask do
      namespace :back_end do
        resources :ask_questions do
          collection do
            get 'delete'
            get 'export'
            post 'export', to: 'ask_questions#do_export'
          end
          resources :ask_replies
        end

        resources :ask_categories
        resources :ask_acknowledgements
        resources :ask_admins
      end

      namespace :front_end do
        match "ask_questions/thank_you" => "ask_questions#thank_you", :as => 'thank_you'
        match "ask_questions/sorry" => "ask_questions#sorry", :as => 'sorry' 
        resources :ask_questions
      end

    end
  end

end
